# Models

## The DeepLinkRequest object

```json
{"openapi":"3.1.0","info":{"title":"Brand Deferred Deep Link API","version":"v11"},"components":{"schemas":{"DeepLinkRequest":{"type":"object","required":["CampaignId","ImpactAppId","EventDate"],"properties":{"CampaignId":{"type":"integer","description":"Unique identifier for your program."},"ImpactAppId":{"type":"integer","description":"The System App Id assigned to your app in impact.com."},"EventDate":{"type":"string","format":"date-time","description":"Date and time the app install happened (ISO 8601)."},"IpAddress":{"type":"string","description":"Hashed public IPv4 or IPv6 address. Automatically collected if called in-app."},"AppleIfa":{"type":"string","description":"Apple Identifier for Advertising (IDFA)."},"GoogAId":{"type":"string","description":"Google Advertising Identifier."},"AppInstallRef":{"type":"string","description":"Unique Install Referrer retrieved from Google Play Store."},"AppPackage":{"type":"string","description":"Unique app ID or bundle ID."},"CustomProfileId":{"type":"string","description":"Third party web tracking cookie."}}}}}}
```

## The DeepLinkResponse object

```json
{"openapi":"3.1.0","info":{"title":"Brand Deferred Deep Link API","version":"v11"},"components":{"schemas":{"DeepLinkResponse":{"type":"object","properties":{"landingPage":{"type":"string","format":"uri","description":"URL of the web page the consumer was redirected to before the app store."},"clickId":{"type":"string","description":"Unique identifier generated by impact.com for the referring click."},"clickIpAddress":{"type":"string","description":"IP Address captured prior to the app store redirect."},"connectionIpAddress":{"type":"string","description":"IP Address captured when the connection to this endpoint is made."}}}}}}
```

## The ErrorResponse object

```json
{"openapi":"3.1.0","info":{"title":"Brand Deferred Deep Link API","version":"v11"},"components":{"schemas":{"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Issue"}},"warnings":{"type":"array","items":{"$ref":"#/components/schemas/Issue"}}}},"Issue":{"type":"object","properties":{"field":{"type":"string","description":"The parameter where the issue was found."},"level":{"type":"string","description":"Severity (ERROR or WARNING)."},"message":{"type":"string","description":"Detailed information about the issue."}}}}}}
```

## The Issue object

```json
{"openapi":"3.1.0","info":{"title":"Brand Deferred Deep Link API","version":"v11"},"components":{"schemas":{"Issue":{"type":"object","properties":{"field":{"type":"string","description":"The parameter where the issue was found."},"level":{"type":"string","description":"Severity (ERROR or WARNING)."},"message":{"type":"string","description":"Detailed information about the issue."}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/deferred-deep-linking/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
